<?php

include_once ("includes/setup.inc.php");
//Header("Content-type: application/xml");
Header("Cache-Control: no-cache");

$num_errors = 0;
$id = fetch_postget_val("id", $_POST, $_GET);
$dateTimeNow = dateTimeNow();

try
{
	$PASS_COUNTER = 0; //COUNTER FOR DOUBLE CONFIRM
	$PASS_VALUE = 1; //NUMBER OF QUERY TO EXECUTE. IMPORTANT FOR CHECKING!!

	//PDO INIT
	$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	$PDO->beginTransaction();

	$indicator_Array = array();
	$indicator_Array[] = array('tajuk', fetch_postget_val("tajuk", $_POST, $_GET), PDO::PARAM_STR);
	$indicator_Array[] = array('keterangan', htmlentities(fetch_postget_val_nocuci("keterangan_content", $_POST, $_GET)), PDO::PARAM_STR, 1);
	$indicator_Array[] = array('tkh_mula', formatDate(fetch_postget_val("tkh_mula", $_POST, $_GET), "Y-m-d"), PDO::PARAM_STR);
	$indicator_Array[] = array('tkh_tamat', formatDate(fetch_postget_val("tkh_tamat", $_POST, $_GET), "Y-m-d"), PDO::PARAM_STR);
	$indicator_Array[] = array('aktif', fetch_postget_val("aktif", $_POST, $_GET), PDO::PARAM_INT);

	if($id == 0)
	{
		$indicator_Array[] = array('id_keyin', $my_details->usr_id, PDO::PARAM_INT);
		$indicator_Array[] = array('tkh_keyin', $dateTimeNow, PDO::PARAM_STR);
		$PASS_COUNTER += PDO_INSERT($PDO, 'i_pengumuman', $indicator_Array);
	}
	else
	{
		$indicator_Array[] = array('id_kemaskini', $my_details->usr_id, PDO::PARAM_INT);
		$indicator_Array[] = array('tkh_kemaskini', $dateTimeNow, PDO::PARAM_STR);
		$whereCondition = "WHERE id_pengumuman = $id";
		//$PASS_COUNTER += PDO_UPDATE($PDO, 'i_pengumuman', $indicator_Array, $whereCondition);
		$PASS_COUNTER += PDO_UPDATE_INDIKATOR_AUDIT($PDO, 'i_pengumuman', $id, $indicator_Array, $whereCondition, $my_details->usr_id, $my_details->user_level, $dateTimeNow);
	}

	//*****************************************
	//COMMIT if PASS_COUNTER == PASS_VALUE
	//*****************************************
	if ($PASS_COUNTER == $PASS_VALUE)
	{
		$PDO->commit();
		echo $PASS_COUNTER;
	}
	else
	{
		$PDO->rollBack();
		echo -1;
	}
}
catch (Exception $e) 
{
	$PDO->rollBack();
	echo "Failed: " . $e->getMessage();
}

?>